package com.mortals.xhx.module.window.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowOwnerVo;
import com.mortals.xhx.module.window.model.WindowOwnerDetailEntity;
import lombok.Data;
/**
* 窗口负责人实体对象
*
* @author zxfei
* @date 2023-07-12
*/
@Data
public class WindowOwnerEntity extends WindowOwnerVo {
    private static final long serialVersionUID = 1L;

    /**
    * 部门id号
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 姓名
    */
    private String name;
    /**
    * 工号
    */
    private String number;
    /**
    * 电话号码
    */
    private String phone;
    /**
    * 负责窗口数量
    */
    private Integer windowCount;
    /**
    * 备注
    */
    private String remark;
    /**
    * 窗口负责人详细信息
    */
    private List<WindowOwnerDetailEntity> windowOwnerDetailList=new ArrayList<>();;
    public List<WindowOwnerDetailEntity> getWindowOwnerDetailList(){
      return windowOwnerDetailList;
    }

    public void setWindowOwnerDetailList(List<WindowOwnerDetailEntity> windowOwnerDetailList){
        this.windowOwnerDetailList = windowOwnerDetailList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowOwnerEntity) {
            WindowOwnerEntity tmp = (WindowOwnerEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.deptId = 0L;

            this.deptName = "";

            this.name = "";

            this.number = "";

            this.phone = "";

            this.windowCount = 0;

            this.remark = "";
    }
}